For the complete documentation index, see llms.txt. This page is also available as Markdown.

Collections

List all collections in a specific drive

get

Get a listing of all the collections in the database

Query parameters
drive_idstring · uuidRequired

The id of the drive we want to get collections from

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

A list of all collections in the specified drive.

application/json
idstring · uuidRequired
namestringRequired
descriptionstringRequired
drive_idstring · uuidRequired
is_public_enabledbooleanRequired
invite_idstring · uuidRequired
icon_typestring · enumRequiredPossible values:
iconstringRequired
background_imagestringRequired
is_expiredbooleanOptionalDefault: false
password_protectedbooleanRequired
expiration_datestring · date-time · nullableOptional
get/collections
GET /collections?drive_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "description": "text",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "created_by": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "email": "text",
      "avatar_url": "text",
      "user_type": "regular"
    },
    "is_public_enabled": true,
    "allowed_actions": [
      "manage"
    ],
    "invite_id": "123e4567-e89b-12d3-a456-426614174000",
    "settings": {
      "card_size": 1,
      "thumbnail_view": "text",
      "view": "text",
      "metadata_attribute_ids": [
        "text"
      ],
      "sort": {
        "attribute": "text",
        "direction": "ASC"
      }
    },
    "icon_type": "color",
    "icon": "text",
    "icon_attachment": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "drive_id": "123e4567-e89b-12d3-a456-426614174000",
      "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
      "uploaded": true,
      "name": "text",
      "mime_type": "text",
      "size": 1,
      "download_url": "text"
    },
    "background_image": "text",
    "background_image_attachment": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "drive_id": "123e4567-e89b-12d3-a456-426614174000",
      "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
      "uploaded": true,
      "name": "text",
      "mime_type": "text",
      "size": 1,
      "download_url": "text"
    },
    "preview_image": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "frame": 1,
      "signed_url": "text"
    },
    "is_expired": false,
    "password_protected": true,
    "expiration_date": "2026-01-01T00:00:00.000Z"
  }
]

Create a collection

post

Create a new user collection of assets

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
namestringRequired

The name of the user collection to be created

descriptionstringOptional

The description of the user collection to be created

Default: ""
drive_idstring · uuidRequired

The id of the drive to create the collection in

Responses
200

The id of the created user collection

application/json
string · uuidOptional
post/collections
POST /collections HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 128

{
  "name": "text",
  "description": "",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
123e4567-e89b-12d3-a456-426614174000

Get a collection by its id

get

Get a collection by id

Path parameters
collection_idstring · uuidRequired
Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

The collection

application/json
idstring · uuidRequired
namestringRequired
descriptionstringRequired
drive_idstring · uuidRequired
is_public_enabledbooleanRequired
invite_idstring · uuidRequired
icon_typestring · enumRequiredPossible values:
iconstringRequired
background_imagestringRequired
is_expiredbooleanOptionalDefault: false
password_protectedbooleanRequired
expiration_datestring · date-time · nullableOptional
num_assetsintegerRequired
num_directoriesintegerRequired
sizenumberRequired
get/collections/{collection_id}
GET /collections/{collection_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "created_by": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "email": "text",
    "avatar_url": "text",
    "user_type": "regular"
  },
  "is_public_enabled": true,
  "allowed_actions": [
    "manage"
  ],
  "invite_id": "123e4567-e89b-12d3-a456-426614174000",
  "settings": {
    "card_size": 1,
    "thumbnail_view": "text",
    "view": "text",
    "metadata_attribute_ids": [
      "text"
    ],
    "sort": {
      "attribute": "text",
      "direction": "ASC"
    }
  },
  "icon_type": "color",
  "icon": "text",
  "icon_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "background_image": "text",
  "background_image_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "preview_image": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "frame": 1,
    "signed_url": "text"
  },
  "is_expired": false,
  "password_protected": true,
  "expiration_date": "2026-01-01T00:00:00.000Z",
  "num_assets": 1,
  "num_directories": 1,
  "size": 1
}

Update a collection

put

Update a collection

Path parameters
collection_idstring · uuidRequired

The id of the collection to be updated

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
namestring · nullableOptional

The new name for the collection

descriptionstring · nullableOptional

The new description for the collection

is_public_enabledboolean · nullableOptional
iconstring · nullableOptional
icon_typestring · enum · nullableOptionalPossible values:
background_imagestring · nullableOptional
expiration_datestring · date-time · nullableOptional

The expiration date of the collection

passwordstring · nullableOptional

The password of the collection

removed_passwordboolean · nullableOptional

remove the collection password

Default: false
Responses
200

The updated collection

application/json
idstring · uuidRequired
namestringRequired
descriptionstringRequired
drive_idstring · uuidRequired
is_public_enabledbooleanRequired
invite_idstring · uuidRequired
icon_typestring · enumRequiredPossible values:
iconstringRequired
background_imagestringRequired
is_expiredbooleanOptionalDefault: false
password_protectedbooleanRequired
expiration_datestring · date-time · nullableOptional
put/collections/{collection_id}
PUT /collections/{collection_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 429

{
  "name": "text",
  "description": "text",
  "is_public_enabled": true,
  "icon": "text",
  "icon_type": "color",
  "allowed_actions": [
    "manage"
  ],
  "background_image": "text",
  "settings": {
    "card_size": 1,
    "thumbnail_view": "text",
    "view": "text",
    "metadata_attribute_ids": [
      "text"
    ],
    "sort": {
      "attribute": "text",
      "direction": "ASC"
    }
  },
  "expiration_date": "2026-01-01T00:00:00.000Z",
  "password": "text",
  "removed_password": false,
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "created_by": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "email": "text",
    "avatar_url": "text",
    "user_type": "regular"
  },
  "is_public_enabled": true,
  "allowed_actions": [
    "manage"
  ],
  "invite_id": "123e4567-e89b-12d3-a456-426614174000",
  "settings": {
    "card_size": 1,
    "thumbnail_view": "text",
    "view": "text",
    "metadata_attribute_ids": [
      "text"
    ],
    "sort": {
      "attribute": "text",
      "direction": "ASC"
    }
  },
  "icon_type": "color",
  "icon": "text",
  "icon_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "background_image": "text",
  "background_image_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "preview_image": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "frame": 1,
    "signed_url": "text"
  },
  "is_expired": false,
  "password_protected": true,
  "expiration_date": "2026-01-01T00:00:00.000Z"
}

Delete a collection

delete

Delete a collection

Path parameters
collection_idstring · uuidRequired

The id of the collection to be deleted

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

True if the collection was deleted, false if it was not found

application/json
booleanOptional
delete/collections/{collection_id}
DELETE /collections/{collection_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
true

Get an MRSS feed for a collection

get

Return an MRSS (Media RSS) feed for a collection.

This endpoint is intended for public consumption and only returns data when the collection's public link visibility is enabled. If the collection is not public or is expired, a 404 is returned. If the collection is password-protected and the password is incorrect, a 403 is returned.

Path parameters
collection_idstring · uuidRequired
Query parameters
pageinteger · min: 1Optional

1-indexed page of assets in the collection to return.

Default: 1
limitinteger · min: 1 · max: 100Optional

Maximum number of assets to include in the MRSS feed.

Default: 20
Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

An MRSS XML feed for the public collection

application/json
anyOptional
get/collections/{collection_id}/mrss
GET /collections/{collection_id}/mrss HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

No content

Add assets to a collection

post

Add assets to a collection, if they are in the same drive.

Path parameters
collection_idstring · uuidRequired

The id of the collection to add assets to

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
asset_idsstring · uuid[] · nullableOptional

The ids of the assets to add to the collection

Default: []
directory_pathsstring[] · nullableOptional

Add all assets under these paths to the collection

Default: []
Responses
200

The updated collection

application/json
idstring · uuidRequired
namestringRequired
descriptionstringRequired
drive_idstring · uuidRequired
is_public_enabledbooleanRequired
invite_idstring · uuidRequired
icon_typestring · enumRequiredPossible values:
iconstringRequired
background_imagestringRequired
is_expiredbooleanOptionalDefault: false
password_protectedbooleanRequired
expiration_datestring · date-time · nullableOptional
post/collections/{collection_id}/assets
POST /collections/{collection_id}/assets HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 127

{
  "asset_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "directory_paths": [
    "text"
  ],
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "created_by": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "email": "text",
    "avatar_url": "text",
    "user_type": "regular"
  },
  "is_public_enabled": true,
  "allowed_actions": [
    "manage"
  ],
  "invite_id": "123e4567-e89b-12d3-a456-426614174000",
  "settings": {
    "card_size": 1,
    "thumbnail_view": "text",
    "view": "text",
    "metadata_attribute_ids": [
      "text"
    ],
    "sort": {
      "attribute": "text",
      "direction": "ASC"
    }
  },
  "icon_type": "color",
  "icon": "text",
  "icon_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "background_image": "text",
  "background_image_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "preview_image": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "frame": 1,
    "signed_url": "text"
  },
  "is_expired": false,
  "password_protected": true,
  "expiration_date": "2026-01-01T00:00:00.000Z"
}

Remove assets from a collection

delete

Remove assets from a collection

Path parameters
collection_idstring · uuidRequired

The id of the collection to remove a file from

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
asset_idsstring · uuid[]Required

The ids of the assets to remove from the collection

Responses
200

Successful Response

application/json
idstring · uuidRequired
namestringRequired
descriptionstringRequired
drive_idstring · uuidRequired
is_public_enabledbooleanRequired
invite_idstring · uuidRequired
icon_typestring · enumRequiredPossible values:
iconstringRequired
background_imagestringRequired
is_expiredbooleanOptionalDefault: false
password_protectedbooleanRequired
expiration_datestring · date-time · nullableOptional
delete/collections/{collection_id}/assets
DELETE /collections/{collection_id}/assets HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "asset_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "created_by": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "email": "text",
    "avatar_url": "text",
    "user_type": "regular"
  },
  "is_public_enabled": true,
  "allowed_actions": [
    "manage"
  ],
  "invite_id": "123e4567-e89b-12d3-a456-426614174000",
  "settings": {
    "card_size": 1,
    "thumbnail_view": "text",
    "view": "text",
    "metadata_attribute_ids": [
      "text"
    ],
    "sort": {
      "attribute": "text",
      "direction": "ASC"
    }
  },
  "icon_type": "color",
  "icon": "text",
  "icon_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "background_image": "text",
  "background_image_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "preview_image": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "frame": 1,
    "signed_url": "text"
  },
  "is_expired": false,
  "password_protected": true,
  "expiration_date": "2026-01-01T00:00:00.000Z"
}

Move an asset to a new position in the collection

post

Move a single asset to a new position in the collection. Only updates the assets affected by the move.

Path parameters
collection_idstring · uuidRequired

The id of the collection whose asset order will be updated

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
asset_idstring · uuidRequired

The id of the asset to move

new_orderintegerRequired

The new position for the asset (1-indexed)

Responses
200

Success status

application/json
anyOptional
post/collections/{collection_id}/assets/order
POST /collections/{collection_id}/assets/order HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 111

{
  "asset_id": "123e4567-e89b-12d3-a456-426614174000",
  "new_order": 1,
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

No content

Get directory paths from a collection

get

Get the directory paths from a collection

Path parameters
collection_idstring · uuidRequired

The id of the collection to get directory paths from

Query parameters
querystring · nullableOptional

Optional query to filter directory paths

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

The directory paths included in the collection

application/json
string[]Optional
get/collections/{collection_id}/directories
GET /collections/{collection_id}/directories HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
[
  "text"
]

Add directory paths to a collection

post

Add directory paths to a collection.

Path parameters
collection_idstring · uuidRequired

The id of the collection to add directory paths to

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
directory_pathsstring[]Required

The paths of the directories to add to the collection

Responses
200

The updated collection

application/json
idstring · uuidRequired
namestringRequired
descriptionstringRequired
drive_idstring · uuidRequired
is_public_enabledbooleanRequired
invite_idstring · uuidRequired
icon_typestring · enumRequiredPossible values:
iconstringRequired
background_imagestringRequired
is_expiredbooleanOptionalDefault: false
password_protectedbooleanRequired
expiration_datestring · date-time · nullableOptional
post/collections/{collection_id}/directories
POST /collections/{collection_id}/directories HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 74

{
  "directory_paths": [
    "text"
  ],
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "created_by": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "email": "text",
    "avatar_url": "text",
    "user_type": "regular"
  },
  "is_public_enabled": true,
  "allowed_actions": [
    "manage"
  ],
  "invite_id": "123e4567-e89b-12d3-a456-426614174000",
  "settings": {
    "card_size": 1,
    "thumbnail_view": "text",
    "view": "text",
    "metadata_attribute_ids": [
      "text"
    ],
    "sort": {
      "attribute": "text",
      "direction": "ASC"
    }
  },
  "icon_type": "color",
  "icon": "text",
  "icon_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "background_image": "text",
  "background_image_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "preview_image": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "frame": 1,
    "signed_url": "text"
  },
  "is_expired": false,
  "password_protected": true,
  "expiration_date": "2026-01-01T00:00:00.000Z"
}

Remove directory paths from a collection

delete

Remove directory paths from a collection

Path parameters
collection_idstring · uuidRequired

The id of the collection to remove directory paths from

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
directory_pathsstring[]Required

The paths of the directories to remove from the collection

Responses
200

Successful Response

application/json
idstring · uuidRequired
namestringRequired
descriptionstringRequired
drive_idstring · uuidRequired
is_public_enabledbooleanRequired
invite_idstring · uuidRequired
icon_typestring · enumRequiredPossible values:
iconstringRequired
background_imagestringRequired
is_expiredbooleanOptionalDefault: false
password_protectedbooleanRequired
expiration_datestring · date-time · nullableOptional
delete/collections/{collection_id}/directories
DELETE /collections/{collection_id}/directories HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 74

{
  "directory_paths": [
    "text"
  ],
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "created_by": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "email": "text",
    "avatar_url": "text",
    "user_type": "regular"
  },
  "is_public_enabled": true,
  "allowed_actions": [
    "manage"
  ],
  "invite_id": "123e4567-e89b-12d3-a456-426614174000",
  "settings": {
    "card_size": 1,
    "thumbnail_view": "text",
    "view": "text",
    "metadata_attribute_ids": [
      "text"
    ],
    "sort": {
      "attribute": "text",
      "direction": "ASC"
    }
  },
  "icon_type": "color",
  "icon": "text",
  "icon_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "background_image": "text",
  "background_image_attachment": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
    "uploaded": true,
    "name": "text",
    "mime_type": "text",
    "size": 1,
    "download_url": "text"
  },
  "preview_image": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "frame": 1,
    "signed_url": "text"
  },
  "is_expired": false,
  "password_protected": true,
  "expiration_date": "2026-01-01T00:00:00.000Z"
}

Start the upload process for a collection attachment

post

Start the upload process for a collection attachment

Path parameters
collection_idstring · uuidRequired

The id of the collection to create the attachment for

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
drive_idstring · uuidRequired

The id of the drive to create the attachment for

namestringRequired

The name of the attachment to be created

mime_typestringRequired

The mime type of the attachment to be created

sizeintegerRequired

The size of the attachment to be created

upload_forstring · enumRequired

What the upload is for ('icon' or 'background')

Possible values:
Responses
200

The id of the created user collection

application/json
idstring · uuidRequired
drive_idstring · uuidRequired
uploader_idstring · uuidRequired
uploadedbooleanRequired
namestringRequired
mime_typestringRequired
sizeintegerRequired
upload_urlstringRequired
post/collections/{collection_id}/attachments
POST /collections/{collection_id}/attachments HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 159

{
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "mime_type": "text",
  "size": 1,
  "upload_for": "icon",
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
  "uploaded": true,
  "name": "text",
  "mime_type": "text",
  "size": 1,
  "upload_url": "text"
}

Mark the upload of a collection attachment as complete

post

Mark the upload of a collection attachment as complete

Path parameters
collection_idstring · uuidRequired

The id of the collection to mark the attachment uploaded for

attachment_idstring · uuidRequired

The id of the attachment to mark as uploaded

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
drive_idstring · uuidRequired

The id of the drive to mark the attachment uploaded for

Responses
200

Successful Response

application/json
idstring · uuidRequired
drive_idstring · uuidRequired
uploader_idstring · uuidRequired
uploadedbooleanRequired
namestringRequired
mime_typestringRequired
sizeintegerRequired
download_urlstringRequired
post/collections/{collection_id}/attachments/{attachment_id}
POST /collections/{collection_id}/attachments/{attachment_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "uploader_id": "123e4567-e89b-12d3-a456-426614174000",
  "uploaded": true,
  "name": "text",
  "mime_type": "text",
  "size": 1,
  "download_url": "text"
}

Last updated

Was this helpful?